Skip to main content
GET
/
v1
/
push
/
apps
Listar push apps
curl --request GET \
  --url https://api.notifique.dev/v1/push/apps \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "workspaceId": "<string>",
      "vapidPublicKey": "<string>",
      "hasVapidPrivate": true,
      "hasFcm": true,
      "hasApns": true,
      "allowedOrigins": [
        "<string>"
      ],
      "promptConfig": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_live_xxxxx

Query Parameters

page
integer
default:1
limit
integer
default:20
Required range: x <= 100

Response

Lista de push apps (credenciais privadas não expostas).

success
boolean
required
Example:

true

data
object[]
required
pagination
object
required